Debian Bug report logs - #562313
guile-pg: FTBFS: libtool: link: `/usr/lib/libltdl.la' is not a valid libtool archive

version graph

Package: src:guile-pg; Maintainer for src:guile-pg is Sam Hocevar <sho@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Thu, 24 Dec 2009 10:57:52 UTC

Severity: serious

Tags: patch, sid, squeeze

Found in version guile-pg/0.16-4.1

Fixed in version guile-pg/0.16-4.2

Done: Christoph Egger <christoph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sam Hocevar (Debian packages) <sam+deb@zoy.org>:
Bug#562313; Package src:guile-pg. (Thu, 24 Dec 2009 10:57:55 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Sam Hocevar (Debian packages) <sam+deb@zoy.org>. (Thu, 24 Dec 2009 10:57:55 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: guile-pg: FTBFS: libtool: link: `/usr/lib/libltdl.la' is not a valid libtool archive
Date: Thu, 24 Dec 2009 11:32:19 +0100
Source: guile-pg
Version: 0.16-4.1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20091213 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> ar cru .libs/libpostgres.a  libpostgres.o libpostgres_lo.o
> ranlib .libs/libpostgres.a
> creating libpostgres.la
> /bin/sed: can't read /usr/lib/libltdl.la: No such file or directory
> libtool: link: `/usr/lib/libltdl.la' is not a valid libtool archive
> make[3]: *** [libpostgres.la] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2009/12/13/guile-pg_0.16-4.1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Sun, 24 Jan 2010 21:06:52 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sam Hocevar (Debian packages) <sam+deb@zoy.org>:
Bug#562313; Package src:guile-pg. (Tue, 27 Apr 2010 08:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hideki Yamane <henrich@debian.or.jp>:
Extra info received and forwarded to list. Copy sent to Sam Hocevar (Debian packages) <sam+deb@zoy.org>. (Tue, 27 Apr 2010 08:45:03 GMT) Full text and rfc822 format available.

Message #12 received at 562313@bugs.debian.org (full text, mbox):

From: Hideki Yamane <henrich@debian.or.jp>
To: 562313@bugs.debian.org
Subject: [patch]: guile-pg: FTBFS: libtool: link: `/usr/lib/libltdl.la' is not a valid libtool archive
Date: Tue, 27 Apr 2010 17:39:56 +0900
[Message part 1 (text/plain, inline)]
Hi,

 I made a patch for this FTBFS, simply add build-depends.
 Please apply it, thanks.

-- 
Regards,

 Hideki Yamane     henrich @ debian.or.jp/iijmio-mail.jp
 http://wiki.debian.org/HidekiYamane
[guile-pg.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Hideki Yamane <henrich@debian.or.jp> to control@bugs.debian.org. (Tue, 27 Apr 2010 08:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sam Hocevar (Debian packages) <sam+deb@zoy.org>:
Bug#562313; Package src:guile-pg. (Sat, 17 Jul 2010 12:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to Sam Hocevar (Debian packages) <sam+deb@zoy.org>. (Sat, 17 Jul 2010 12:57:08 GMT) Full text and rfc822 format available.

Message #19 received at 562313@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 562313@bugs.debian.org
Subject: guile-pg: diff for NMU version 0.16-4.2
Date: Sat, 17 Jul 2010 14:53:30 +0200
[Message part 1 (text/plain, inline)]
tags 562313 + pending
thanks

Dear maintainer,

I've prepared an NMU for guile-pg (versioned as 0.16-4.2) and
uploaded it to DELAYED/3. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
/"\  ASCII Ribbon : GPG-Key ID: 0xD49AE731
\ /    Campaign   : CaCert Assurer
 X   against HTML : Debian Developer
/ \   in eMails   : http://www.debian.org/

http://www.christoph-egger.org/
[guile-pg-0.16-4.2-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Christoph Egger <christoph@debian.org> to control@bugs.debian.org. (Sat, 17 Jul 2010 12:57:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sam Hocevar (Debian packages) <sam+deb@zoy.org>:
Bug#562313; Package src:guile-pg. (Tue, 27 Jul 2010 12:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
Extra info received and forwarded to list. Copy sent to Sam Hocevar (Debian packages) <sam+deb@zoy.org>. (Tue, 27 Jul 2010 12:09:04 GMT) Full text and rfc822 format available.

Message #26 received at 562313@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 562313@bugs.debian.org
Subject: guile-pg: diff for NMU version 0.16-4.2
Date: Tue, 27 Jul 2010 14:08:04 +0200
[Message part 1 (text/plain, inline)]
Dear maintainer,

I've prepared an NMU for guile-pg (versioned as 0.16-4.2) and uploaded
it to DELAYED/3. This fixes the info dir.gz problem which made the
previous NMU REJECTED. Please feel free to tell me if I should delay
it longer.

Regards.

-- 
/"\  ASCII Ribbon : GPG-Key ID: 0xD49AE731
\ /    Campaign   : CaCert Assurer
 X   against HTML : Debian Developer
/ \   in eMails   : http://www.debian.org/

http://www.christoph-egger.org/
[guile-pg-0.16-4.2-nmu.diff (text/x-diff, attachment)]

Reply sent to Christoph Egger <christoph@debian.org>:
You have taken responsibility. (Fri, 30 Jul 2010 12:36:03 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Fri, 30 Jul 2010 12:36:03 GMT) Full text and rfc822 format available.

Message #31 received at 562313-close@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 562313-close@bugs.debian.org
Subject: Bug#562313: fixed in guile-pg 0.16-4.2
Date: Fri, 30 Jul 2010 12:32:39 +0000
Source: guile-pg
Source-Version: 0.16-4.2

We believe that the bug you reported is fixed in the latest version of
guile-pg, which is due to be installed in the Debian FTP archive:

guile-pg_0.16-4.2.diff.gz
  to main/g/guile-pg/guile-pg_0.16-4.2.diff.gz
guile-pg_0.16-4.2.dsc
  to main/g/guile-pg/guile-pg_0.16-4.2.dsc
guile-pg_0.16-4.2_i386.deb
  to main/g/guile-pg/guile-pg_0.16-4.2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 562313@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christoph Egger <christoph@debian.org> (supplier of updated guile-pg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 27 Jul 2010 14:02:28 +0200
Source: guile-pg
Binary: guile-pg
Architecture: source i386
Version: 0.16-4.2
Distribution: unstable
Urgency: low
Maintainer: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Changed-By: Christoph Egger <christoph@debian.org>
Description: 
 guile-pg   - Guile bindings for the PostgreSQL client library
Closes: 562313
Changes: 
 guile-pg (0.16-4.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Use patch by Hideki Yamane <henrich@debian.or.jp>
   * debian/control
     - add "Build-Depends: libltdl-dev" to fix FTBFS (Closes: #562313)
   * Update config.{guess,sub}
Checksums-Sha1: 
 6b54f9b5dc75c437b02498ceec84875a456c990a 1700 guile-pg_0.16-4.2.dsc
 6adac8d30e16e2a3da0789ea8f7ed00a9bca821c 440741 guile-pg_0.16-4.2.diff.gz
 c680060f1cd6b19f85dd9edfda265ceb1117b2c8 79746 guile-pg_0.16-4.2_i386.deb
Checksums-Sha256: 
 f133a146b3ad04d86ef1289cae17e66f9f22ff478638cbce7d296bf33f0f5a02 1700 guile-pg_0.16-4.2.dsc
 bea31136a16bdea5dee820ee09f7cf6c944f781235833ad580f88277098bda12 440741 guile-pg_0.16-4.2.diff.gz
 87546f776a500a93303ff0e1287ed5cd14274efea5d3d5f7a199b46c9d898578 79746 guile-pg_0.16-4.2_i386.deb
Files: 
 8242c4fce1ca69f7ad84aba620641fa1 1700 interpreters optional guile-pg_0.16-4.2.dsc
 4a640973fac463a0fb9f8cad9f4425f8 440741 interpreters optional guile-pg_0.16-4.2.diff.gz
 f814a1d34449fd7aef60bc1aa978a5e7 79746 interpreters optional guile-pg_0.16-4.2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCgAGBQJMTsu1AAoJEKv/7bJACMb5EjYP/1UINLYoz5bi044P1JLPKlGe
DX/3ngckSIPqwJZFPY4UyuTS1UccnedFpHvqq44yJD0FEhuae76vf3hbMY4zxERE
z63PMVCakIFjYnau8rAwu7r6eqfKA0m9tQ8C1sE4cDJNayNYZz2BTeOw+p9I/5rd
JXfWyOsQ+bND6p7jitDLfckw83fW0gSw9GaHJYJdxh4zRUbIaEA8Wq3k728kcoOM
Cx9SJ1XP50APCMj/X5TkvP0MlPRbfgbR0KkcNlOe6UgC/a+nltc9J7BWxLFD4IMj
337bu557RLbYZzMoXWTIko3b72ggUivVTlQMj2/a4q4RHR52RMrB5KYHNqZXPCZv
2S0xEryGms+K9zYuEGn/D/xGC2MqFaS5PaABYvUnfmPIj3xVKzEAkV9s8hZHQOL0
fNrnBzw9pjqQjfkArMJrs7DVeDMVYm4F0ckULdJjFRUobWo6+D1fRrjBr9MfPAmR
BgPiv7sAoJraIVLo+8Owr3wJg1r+3MWTTnU0zHqfPGJOEML7GuqqmAtZh88Q3LJO
340ZX6AAYnivHNl+gL2dNVotT0LDwn3TEagC+3oV5KJr7DfjE5c2xMERcZNKJAQM
BIex3P/nF8c5TeYg7/6OQEqTBkSQtdnuwDCy5mDDHqiB75WlKiAezUv8+n08yx+J
Ga9dzjhFoZpaFYVPhu7u
=QgeB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 14 Feb 2011 07:29:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:06:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.